Summary: Tools and servers for the SNMP protocol
Name: op5-trapper-collector
Version: 2015.albino.1
Release: op5.1
License: GPLv2
Group: op5/trapper
Vendor: op5 AB
Source: %name-%version.tar.gz
Source1: init.patch
Prefix: /opt/trapper
Requires: openssl
BuildRequires: mysql-devel
BuildRoot: %{_tmppath}/%{name}-%{version}
Packager: build@op5
Requires: openssl, popt, zlib, glibc
Requires: op5-mysql
Requires: op5-monitor-user
BuildRequires: openssl-devel
%if 0%{?suse_version}
BuildRequires: libmysqlclient-devel
BuildRequires: bzip2
Requires: mysql
Requires: bzip2
%else
Requires: mysql-server
BuildRequires: mysql-devel
BuildRequires: bzip2-libs
BuildRequires: bzip2-devel
%endif

%description

Net-SNMP package compiled with MySQL support, stripped down to 
only one function of recieving the traps and configured to work
as part of op5 trapper solution.

%prep
rm -rf %buildroot
%setup -q
%if 0%{?suse_version}
patch -p1 < %_sourcedir/init.patch
%endif


%build
make

%install
make INSTALL_TOP=%buildroot%prefix install
mkdir -p %buildroot/etc/init.d
mv %buildroot%prefix/etc/init.d/collector %buildroot/etc/init.d/collector
%if 0%{?rhel} == 5
mkdir -p %buildroot/usr/share/snmp/mibs
cp op5build/mibs/NET-SNMP-PASS-MIB.txt %buildroot/usr/share/snmp/mibs
cp op5build/mibs/NET-SNMP-VACM-MIB.txt %buildroot/usr/share/snmp/mibs
%endif

%post
if [ -z "$(mysql -N -s -e 'SHOW DATABASES LIKE "trapper"')" ]; then
	mysql -e "create database trapper"
fi
if [ -z "$(mysql -t mysql -e "select user from user where user = 'trapper'")" ]
then
	mysql -e "create user 'trapper'@'localhost' identified by 'trapper'"
	mysql -e "grant all privileges on *.* to 'trapper'@'localhost'"
fi
mysql trapper < %prefix/share/db/collector.sql

mkdir -p %prefix/share/snmp
ln -s /usr/share/snmp/mibs %prefix/share/snmp/mibs

if [ "$1" -eq 1 ]; then
	echo "Disabling system's snmptrapd, if running..."
	service snmptrapd stop >/dev/null 2>&1 || :
	chkconfig --del snmptrapd >/dev/null 2>&1 || :
fi

chkconfig --add collector
service collector stop 2>/dev/null || :
service collector start

# run ldconfig
PATH="$PATH:/sbin" ldconfig -n %prefix/lib

# In case we're upgrading, we probably have to insert the
# agentuser line into the config file
if ! grep -iq ^agentuser %prefix/etc/collector.conf; then
	echo "agentuser monitor" >> %prefix/etc/collector.conf
fi


%preun
if [ "$1" -eq 0 ]; then
	chkconfig --del collector
	service collector stop
fi


%postun
PATH="$PATH:/sbin" ldconfig -n %prefix/lib

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%config(noreplace) %prefix/etc/collector.conf
%attr(755,root,root) /etc/init.d/collector
%attr(755,root,root) %prefix/bin/*
%prefix/lib/*
%prefix/share/db/collector.sql
%prefix/share/doc/collector/license
%if 0%{?rhel} == 5
/usr/share/snmp/mibs/*
%endif

%attr(750, monitor, root) %dir %prefix/var/run
